<template>
  <div class="searchItem" @click="openModal(item)">
    <!-- 
    Here need to place the following  :
        - bodies to display (checkboxes moon, planets, asterioids, ...)
        - text searchField
        - Something else ? No idea
    -->
    <h4>{{item.name}}</h4>
  </div>
</template>

<script>
export default {
  name: "Item",
  data() {
    return {
      modalOpened: false
    };
  },
  props: { item: Object },
  methods: {
    openModal(object) {
      this.$emit.openModal(object);
    }
  }
};
</script>

<style lang="scss" scoped>
.searchItem {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  justify-items: center;
  background-color: teal;
  color: green;
  border: solid 1px lime;

  .picture {
  }
}
</style>